| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::Sigma Struct Reference

In filters that use Gaussian distributions, "sigma" is a size of one standard deviation in terms of the local space pixel grid of the filter input. In other words, this determines how wide the distribution stretches. More...

`#include <sigma.h>`

## Public Member Functions
constexpr | Sigma ()=default
constexpr | Sigma (Scalar p_sigma)
| operator Radius () const

## Public Attributes
Scalar | sigma = 0.0

## Detailed Description

In filters that use Gaussian distributions, "sigma" is a size of one standard deviation in terms of the local space pixel grid of the filter input. In other words, this determines how wide the distribution stretches.

Definition at line 32 of file sigma.h.

## Constructor & Destructor Documentation

## ◆ Sigma() [1/2]

constexpr impeller::Sigma::Sigma | ( |  | ) |
| constexpr default

## ◆ Sigma() [2/2]

constexpr impeller::Sigma::Sigma | ( | Scalar | p_sigma | ) |
| inline explicit constexpr

Definition at line 37 of file sigma.h.

37 : sigma(p_sigma) {}
impeller::Sigma::sigma
Scalar sigma
Definition: sigma.h:33

## Member Function Documentation

## ◆ operator Radius()

impeller::Sigma::operator Radius | ( |  | ) | const

Definition at line 11 of file sigma.cc.

11 {
12 return Radius{sigma > 0.5f ? (sigma - 0.5f) * kKernelRadiusPerSigma : 0.0f};
13 }
impeller::kKernelRadiusPerSigma
constexpr static float kKernelRadiusPerSigma
Definition: sigma.h:24

References impeller::kKernelRadiusPerSigma.

## Member Data Documentation

## ◆ sigma

Scalar impeller::Sigma::sigma = 0.0

Definition at line 33 of file sigma.h.

Referenced by impeller::Canvas::PathBlurShape::BuildBlurContent(), impeller::SolidRRectLikeBlurContents::GetCoverage(), impeller::FilterContents::MakeGaussianBlur(), impeller::SolidRRectLikeBlurContents::Render(), and impeller::testing::TEST_P().

The documentation for this struct was generated from the following files:

- impeller/geometry/sigma.h
- impeller/geometry/sigma.cc